@echo off

rem test français / anglais

findstr "Moyenne" "c:\temp\ping192.txt">nul
if %errorlevel% equ 1 (
    goto searchEnglish
) else (
    goto searchFrench
)

:searchFrench:
for /f "delims== tokens=4" %%n in ('findstr "Moyenne" "c:\temp\ping192.txt"') do set "Moyenne=%%n"

goto miseEnForme

:searchEnglish
	for /f "delims== tokens=4" %%n in ('findstr "Average" "c:\temp\ping192.txt"') do set "Moyenne=%%n"

:miseEnForme

set "Moyenne=%Moyenne:~1%"
set "Moyenne=%Moyenne:ms=%"

echo %Moyenne%